Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class ObjectArray

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.sql.ObjectArray

public class ObjectArray
extends java.lang.Object

Provide a simple Array storage mechinsim where native Arrays will be use as the basic storage mechinism but the Arrays will be stored as blocks. The size of the Array blocks is determine during object construction. This is intended to be a simple storage mechinsim where the storage only can grow. Array elements can not be removed, only added to.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`ObjectArray()`
`ObjectArray(int minArraySize)`

Method Summary
`int` | `append(java.lang.Object o)`
`java.lang.Object` | `getAt(int idx)`
`static void` | `main(java.lang.String[] args)`
`void` | `setAt(int idx, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectArray

    public ObjectArray()

### ObjectArray

    public ObjectArray(int minArraySize)

  Parameters:
    `minArraySize` - The size of the Arrays stored in the Vector

Method Detail

### getAt

    public java.lang.Object getAt(int idx)

  Parameters:
    `idx` - Index of the Object in the Array
  Returns:

### setAt

    public void setAt(int idx,
                      java.lang.Object obj)

  Parameters:
    `idx` - Index of the Object in the Array
    `obj` - , The value to set in the Array
  Returns:

### append

    public int append(java.lang.Object o)

  Parameters:
    `o` - Object to be appended to the Array
  Returns:

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference